package cn.com.poc.human_resources.dto;

import cn.com.poc.human_resources.entity.position.BaseInfo;
import cn.com.poc.human_resources.entity.position.Job;
import cn.com.poc.human_resources.entity.position.Por;

/**
 * @author alex.yao
 * @date 2025/9/30
 */
public class HumanResourcePositionDto {

    private Long id;

    private String postStatus;

    private BaseInfo baseInfo;

    private Job job;

    private Por por;

    public String getPostStatus() {
        return postStatus;
    }

    public void setPostStatus(String postStatus) {
        this.postStatus = postStatus;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public BaseInfo getBaseInfo() {
        return baseInfo;
    }

    public void setBaseInfo(BaseInfo baseInfo) {
        this.baseInfo = baseInfo;
    }

    public Job getJob() {
        return job;
    }

    public void setJob(Job job) {
        this.job = job;
    }

    public Por getPor() {
        return por;
    }

    public void setPor(Por por) {
        this.por = por;
    }


}
